Bug 1644593 - Content View Version export breaks while exporting to relative path
Summary: Content View Version export breaks while exporting to relative path
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Inter Satellite Sync
Version: 6.5.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: Released
Assignee: satellite6-bugs
QA Contact: Jitendra Yejare
URL: https://projects.theforeman.org/issue...
Whiteboard:
Depends On:
Blocks: 1644596
TreeView+ depends on / blocked
 
Reported: 2018-10-31 08:32 UTC by Jitendra Yejare
Modified: 2019-10-07 17:20 UTC (History)
3 users (show)

Fixed In Version: tfm-rubygem-hammer_cli_katello-0.16.0.4-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-14 12:38:26 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github Katello hammer-cli-katello pull 616 None None None 2019-01-14 16:34:30 UTC
Foreman Issue Tracker 25857 None None None 2019-01-14 16:34:05 UTC
Red Hat Product Errata RHSA-2019:1222 None None None 2019-05-14 12:38:34 UTC

Description Jitendra Yejare 2018-10-31 08:32:08 UTC
Description of problem:
Content View Version export breaks while exporting the CVV contents to relative path folder. But works when we provide the absolute path.

Version-Release number of selected component (if applicable):
Satellite 6.5.0 snap 1

How reproducible:
Always

Steps to Reproduce:
1. Publish the CV with contents.
2. Export the CVv contents to a relative path folder.

Actual results:
The CVv export to relative path fails with the error below:
# hammer content-view version export --export-dir ExportedCV --id 2
tar: ExportedCV/export-2/export-2-repos.tar: Cannot open: No such file or directory
tar: Error is not recoverable: exiting now

Expected results:
The CVv export to relative path should work or should ask the user to provide the absolute path

Additional info:
The CVv export to absolute path works.

Comment 4 Jitendra Yejare 2019-01-21 09:22:18 UTC
Verified!

@Satellite 6.5 snap 12


Steps:
1. A published CV with contents.
2. Created a new directory.
3. Exported the CVv contents to above directory with its relative path.

Logs and Behavior(as expected):

# hammer content-view version list --organization-id 301
----|-------------------------------|---------|-----------------------
ID  | NAME                          | VERSION | LIFECYCLE ENVIRONMENTS
----|-------------------------------|---------|-----------------------
401 | cvexpo_cv 1.0                 | 1.0     | Library               
399 | Default Organization View 1.0 | 1.0     | Library               
----|-------------------------------|---------|-----------------------
# mkdir abc
# hammer content-view version export --export-dir abc --id 401
# ll abc/
total 180K
-rw-r--r--. 1 root root 180K Jan 21 04:10 export-cvexpo_cv-401.tar
# tar -tvf abc/export-cvexpo_cv-401.tar 
drwxr-xr-x root/root         0 2019-01-21 04:10 export-cvexpo_cv-401/
-rw-r--r-- root/root    174080 2019-01-21 04:10 export-cvexpo_cv-401/export-cvexpo_cv-401-repos.tar
-rw-r--r-- root/root      1802 2019-01-21 04:10 export-cvexpo_cv-401/export-cvexpo_cv-401.json

Comment 6 errata-xmlrpc 2019-05-14 12:38:26 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:1222


Note You need to log in before you can comment on or make changes to this bug.